import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)
import createPersistedState from 'vuex-persistedstate'

export default new Vuex.Store({
  state: {
    token: ''
  },
  mutations: {
    setToken: function (state, token) {
      state.token = token
    },
  },
  actions: {
    // 前端 登出
    FedLogOut({ commit }) {
      return new Promise(resolve => {
        commit('setToken', '')
        resolve()
      })
    }
  },
  modules: {
  },
  plugins: [createPersistedState()]
})
